Subject: Re: [PATCH] fetch-pack: speed up loading of refs via commit graph

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Aug 2021 14:32:22 -0700

Jeff King <[email-masked]> writes:

> Nice. I've sometimes wondered if parse_object() should be doing this
> optimization itself. Though we'd possibly still want callers (like this
> one) to give us more hints, since we already know the type is
> OBJ_COMMIT. Whereas parse_object() would have to discover that itself
> (though we already incur the extra type lookup there to handle blobs).

Ahh, you read one step further than I did ;-) Yes, if we are already
inspecting type there, doing this optimization inside parse_object()
becomes much easier to justify.